Bug 310221 - missing dependency
missing dependency
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-27 22:00 EDT by Matthias Clasen
Modified: 2008-02-02 09:26 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-02 09:26:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2007-09-27 22:00:19 EDT
I did a fresh install of todays rawhide, and evolution would not start,
complaining about missing libdb-4.6.so. Indeed:



[mclasen@localhost ~]$ ldd /usr/bin/evolution | grep libdb
        libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00912000)
        libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x0081d000)
        libdb-4.6.so => /lib/libdb-4.6.so (0x03479000)


[mclasen@localhost ~]$ rpm -qf /lib/libdb-4.6.so 
db4-4.6.19-1.fc8


[mclasen@localhost ~]$ rpm -q --requires evolution | grep db
dbus >= 0.90
libdbus-1.so.3  
libdbus-glib-1.so.2


So for some reason, evo is missing the db4 dependency.
Comment 1 Matthew Barnes 2007-09-27 23:59:41 EDT
Evolution-Data-Server is what uses libdb, and db4 is explicitly required in the
package spec.  But it's configured to use /usr/lib/libdb-4.6.so, which is a
symlink to /lib/libdb-4.6.so.  Can you check if this symlink exists?
Comment 2 Matthew Barnes 2007-09-28 15:31:35 EDT
Matthias says he does have the symlink.  And the EDS spec looks correct to me.

$ rpm -q --requires evolution-data-server | grep db
db4
libdb-4.6.so
Comment 3 Matthias Clasen 2007-09-28 15:39:12 EDT
Dunno about the exact sequence of steps, but I do have the symlink now that I
have installed db4.
Comment 4 Matthias Clasen 2008-02-02 09:26:03 EST
Probably ok to close. It was some random rawhide thing.

Note You need to log in before you can comment on or make changes to this bug.